Skip to main content
GET
/
v2
/
workflows
/
dlq
/
{dlqId}
Get Failed Workflow Run
curl --request GET \
  --url https://qstash.upstash.io/v2/workflows/dlq/{dlqId} \
  --header 'Authorization: Bearer <token>'
{
  "dlqId": "<string>",
  "workflowUrl": "<string>",
  "workflowRunId": "<string>",
  "workflowCreatedAt": 123,
  "url": "<string>",
  "method": "<string>",
  "header": {},
  "body": "<string>",
  "bodyBase64": "<string>",
  "maxRetries": 123,
  "createdAt": 123,
  "failureCallback": "<string>",
  "callerIP": "<string>",
  "label": "<string>",
  "flowControlKey": "<string>",
  "failureFunctionState": "<string>",
  "responseStatus": 123,
  "responseHeader": {},
  "responseBody": "<string>",
  "responseBodyBase64": "<string>"
}

Authorizations

Authorization
string
header
required

QStash authentication token

Path Parameters

dlqId
string
required

The DLQ ID of the failed workflow run.

Response

Failed workflow run details

dlqId
string

The DLQ ID of the failed workflow message.

workflowUrl
string

The URL of the workflow.

workflowRunId
string

The ID of the workflow run.

workflowCreatedAt
integer<int64>

The timestamp when the workflow run was created (Unix timestamp in milliseconds).

url
string

The URL of the failed workflow step.

method
string

The HTTP method used for the workflow step.

header
object

The HTTP headers sent to the workflow step.

body
string

The body of the message if it is composed of utf8 chars only, empty otherwise.

bodyBase64
string

The base64 encoded body if the body contains a non-utf8 char only, empty otherwise.

maxRetries
integer

The number of retries that should be attempted in case of delivery failure.

createdAt
integer<int64>

The unix timestamp in milliseconds when the message was created.

failureCallback
string

The url where we send a callback to after the workflow fails.

callerIP
string

IP address of the publisher of this workflow.

label
string

The label assigned to the workflow run.

flowControlKey
string

The flow control key used for rate limiting.

failureFunctionState
string

The state of the failure function if applicable.

responseStatus
integer

The HTTP status code received from the destination API.

responseHeader
object

The HTTP response headers received from the destination API.

responseBody
string

The body of the response if it is composed of utf8 chars only, empty otherwise.

responseBodyBase64
string

The base64 encoded body of the response if the body contains a non-utf8 char only, empty otherwise.